import os, sys

import folien


def erzeugeHTMLSeite(outputpath, alleklassen, klassenschueler, allekurse, alleabschnitte, epochen, schuljahr, halbjahr, inputs):

    body = ''
    body += '        <div class="reveal">'
    body += '            <div class="slides">'

    body += folien.erzeugeIndex(alleklassen, klassenschueler, allekurse, alleabschnitte, epochen, schuljahr, halbjahr, inputs, False)
    body += folien.erzeugeKlassenFolien(alleklassen, klassenschueler, allekurse, alleabschnitte, epochen, schuljahr, halbjahr, inputs, False)

    body += '            </div>'
    body += '        </div>'

    text_file = open(os.path.join(outputpath, 'html/', 'folien.html'), "w", encoding="utf8")

    header_file = open(os.path.join(outputpath, 'html/templates/', 'header.html'), encoding="utf8")
    text_file.write(header_file.read())

    text_file.write(body)

    header_file = open(os.path.join(outputpath, 'html/templates/', 'footer.html'), encoding="utf8")
    text_file.write(header_file.read())

    text_file.close()

